import sys
from PyQt4.QtCore import *
from PyQt4.QtGui import *

class msMainWindow(QMainWindow):
    def __init__(self):
        super(msMainWindow, self).__init__()
        cw = QWidget(self)
        self.setCentralWidget(cw)
        
        # The following line breaks the QScrollArea()
        # Technically any cascaded background change
        cw.setStyleSheet("background-color: rgb(255,255,153)")
        
        hb = QVBoxLayout(cw)
        
        lab = QLabel("List of items")
        hb.addWidget(lab)
        
        fr = QFrame(cw)
        hb.addWidget(fr)
        gl = QGridLayout(fr)
        
        sa = QScrollArea(fr)
        gl.addWidget(sa)
        sa.setWidgetResizable(True)
        sa.setAlignment(Qt.AlignCenter)
        w = QWidget(sa)
        lo = QVBoxLayout(w)
        for i in range(100):
            lo.addWidget(QLabel( "Item %d" % i, w))
        sa.setWidget(w)
        

def main(args):
    app=QApplication(args)
    mainWindow = msMainWindow()
    mainWindow.show()
    app.connect(app, SIGNAL("lastWindowClosed()"), app, SLOT("quit()"))
    app.exec_()

if __name__ == "__main__":
    main(sys.argv)